Package bitel.billing.server.admin.resource.bean

# Class ResourceCategory<T>

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceCategory<T>

Direct Known Subclasses:
  `IPResourceCategory`, `NumberResourceCategory`

    public class ResourceCategory<T>
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `comment` |
  `protected int` | `id` |
  `protected int` | `parentId` |
  `protected java.util.List<T>` | `subCategories` |
  `protected java.lang.String` | `title` |
  `protected int` | `type` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ResourceCategory()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `int` | `getId()` |
  `int` | `getParentId()` |
  `java.util.List<T>` | `getSubCategories()` |
  `java.lang.String` | `getTitle()` |
  `int` | `getType()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setId​(int id)` |
  `void` | `setParentId​(int parentId)` |
  `void` | `setSubCategories​(java.util.List<T> subCategories)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setType​(int type)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected int id

  - ### type

    protected int type

  - ### parentId

    protected int parentId

  - ### title

    protected java.lang.String title

  - ### comment

    protected java.lang.String comment

  - ### subCategories

    protected java.util.List<T> subCategories

- ## Constructor Details

  - ### ResourceCategory

    public ResourceCategory()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getSubCategories

    public java.util.List<T> getSubCategories()

  - ### setSubCategories

    public void setSubCategories​(java.util.List<T> subCategories)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getType

    public int getType()

  - ### setType

    public void setType​(int type)

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId​(int parentId)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)